import * as vscode from 'vscode';
// import { authenticate } from "./authenticate";
import { SidebarProvider } from './SidebarProvider';
// import { WebViewPanel } from "./WebViewPanel";

export function newEntry(sidebarProvider: SidebarProvider): any {
    const { activeTextEditor } = vscode.window;
    if (!activeTextEditor) {
        vscode.window.showInformationMessage("No active text editor");
        return;
    }
    const text = activeTextEditor.document.getText(
        activeTextEditor.selection
    );
    sidebarProvider._view?.webview.postMessage({
        type: "new-entry",
        value: text,
    });
}

// export function apiAuthenticate(extensionContext: vscode.ExtensionContext): any {
//     try {
//         authenticate(extensionContext, () => { });
//     } catch (err) {
//         console.log(err);
//     }
// }

export async function refresh(): Promise<any> {
    await vscode.commands.executeCommand("workbench.action.closeSidebar");
    await vscode.commands.executeCommand("workbench.view.extension.kanban-sidebar-view");
}

// export async function debugReload(extensionContext: vscode.ExtensionContext): Promise<any> {
//     WebViewPanel.kill();
//     WebViewPanel.createOrShow(extensionContext.extensionUri);
//     await vscode.commands.executeCommand("workbench.action.closeSidebar");
//     await vscode.commands.executeCommand("workbench.view.extension.kanban-sidebar-view");
//     setTimeout(() => { vscode.commands.executeCommand("workbench.action.webview.openDeveloperTools"); }, 500);
// }
